#pragma once

#include "logger.h"
#include "main.h"
#include "pc_serial.h"

Logger::Logger()
{
    entryIndex = 0;   
}

bool Logger::isFull()
{
    return entryIndex >= LOGGER_SIZE;
}

void Logger::log()
{
    if (isFull())
    {
        return;   
    }
    
    LogEntry * entry = &entries[entryIndex];
    entryIndex++;
    
    //entry->cos = reckoner.cos >> 16;
    //entry->sin = reckoner.sin >> 16;
    entry->x = reckoner.x >> 16;
    entry->y = reckoner.y >> 16;
}

void Logger::dump()
{
    pc.printf("Log dump start\r\n");
    for(int32_t i = 0; i < entryIndex; i++)
    {
        LogEntry * entry = &entries[i];
        pc.printf("%d,%d\r\n", entry->x, entry->y);
    }
    pc.printf("Log dump end\r\n");
}